Mono Colombia

List QR codes

Returns all QR codes associated with a collection. Results are ordered by creation date (newest first).

GET
/api/v1/collections/{collection_id}/qr
AuthorizationBearer <token>

In: header

Scope: collections:readonly

Path Parameters

collection_idstring

The collection ID

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"bbcol_5tgliBmzjZ6mpQPRbQjfKj"

Query Parameters

canceled?boolean

Filter by canceled status

usage_mode?string

Filter by QR code usage mode

Value in"single_use" | "multiple_use"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://breb-participant.sandbox.mono.la/api/v1/collections/bbcol_5tgliBmzjZ6mpQPRbQjfKj/qr"
{
  "qr": [
    {
      "amount": {
        "amount": 100000000,
        "currency": "COP"
      },
      "canceled": true,
      "collection_id": "bbcol_5tgliBmzjZ6mpQPRbQjfKj",
      "emvco": "12340101567826430014XX.YYY.ZZZ.AAA0421@ABC1234567890XYZW5802CO5913EXAMPLE MERCHANT6010MEDELLIN6304FF00",
      "error_correction_level": "low",
      "expires_at": "2022-01-01T01:00:00Z",
      "failed_attempts": 0,
      "id": "bbqr_5tgliBmzjZ6mpQPRbQjfKj",
      "image": "string",
      "image_width": 0,
      "inserted_at": "2022-01-01T01:00:00Z",
      "key_type": "identification",
      "key_value": "@MN1A2B3C4D5E",
      "payment_id": "CO.COM.CRB.TRXIDP1234567891234",
      "successful_attempts": 0,
      "updated_at": "2022-01-01T01:00:00Z",
      "usage_mode": "single_use"
    }
  ]
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "collection_not_found",
      "message": "The collection doesn't exist",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}
{
  "code": "500 Internal Server Error",
  "errors": [
    {
      "error_code": "internal_error",
      "message": "An unexpected error occurred",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Something went wrong on the Server"
}